package com.yeejoin.amos.supervision.business.param;

import com.yeejoin.amos.supervision.core.common.request.CommonPageable;

import java.util.List;

public class InputItemPageParam extends CommonPageable {

    private String isScore;
    private String itemType;
    private String name;
    private String level;
    private String itemNo;
    private String checkTypeId;
    private String itemStart;
    private Long planId;
    private String itemTypeClassifyIds;
    /**
     * 机构
     */
    private String orgCode;

    private String inputClassify;

    public String getItemClassify() {
        return itemClassify;
    }

    public void setItemClassify(String itemClassify) {
        this.itemClassify = itemClassify;
    }

    private String itemClassify;

    public String getInputClassify() {
        return inputClassify;
    }

    public void setInputClassify(String inputClassify) {
        this.inputClassify = inputClassify;
    }

    private List<Long> catalogIds;

    public String getItemNo() {
        return itemNo;
    }

    public void setItemNo(String itemNo) {
        this.itemNo = itemNo;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getIsScore() {
        return isScore;
    }

    public void setIsScore(String isScore) {
        this.isScore = isScore;
    }

    public String getItemType() {
        return itemType;
    }

    public void setItemType(String itemType) {
        this.itemType = itemType;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public List<Long> getCatalogIds() {
        return catalogIds;
    }

    public void setCatalogIds(List<Long> catalogIds) {
        this.catalogIds = catalogIds;
    }

    public String getCheckTypeId() {
        return checkTypeId;
    }

    public void setCheckTypeId(String checkTypeId) {
        this.checkTypeId = checkTypeId;
    }

    public String getItemStart() {
        return itemStart;
    }

    public void setItemStart(String itemStart) {
        this.itemStart = itemStart;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public String getItemTypeClassifyIds() {
        return itemTypeClassifyIds;
    }

    public void setItemTypeClassifyIds(String itemTypeClassifyIds) {
        this.itemTypeClassifyIds = itemTypeClassifyIds;
    }
}
